diff -Nru uim.orig/Makefile uim/Makefile
--- uim.orig/Makefile	2008-05-18 19:32:52.000000000 +0900
+++ uim/Makefile	2008-05-24 00:01:35.000000000 +0900
@@ -1,7 +1,7 @@
 # $NetBSD: Makefile,v 1.31 2008/03/02 01:57:37 obache Exp $
 #
 
-DISTNAME=		uim-1.4.2
+DISTNAME=		uim-1.5.1
 CATEGORIES=		inputmethod
 MASTER_SITES=		http://uim.googlecode.com/files/
 EXTRACT_SUFX=		.tar.bz2
@@ -24,11 +24,6 @@
 CONFIGURE_ARGS+=	--disable-emacs
 CONFIGURE_ARGS+=	--with-libgcroots=installed
 
-# Avoid to install internal sigscheme's header & library with patch-aa.
-# It conflict with lang/sigscheme.
-BUILD_DIRS=		sigscheme .
-INSTALL_DIRS=		.
-
 .include "options.mk"
 
 post-install:
diff -Nru uim.orig/PLIST uim/PLIST
--- uim.orig/PLIST	2008-05-18 19:32:52.000000000 +0900
+++ uim/PLIST	2008-05-24 23:55:03.000000000 +0900
@@ -6,6 +6,7 @@
 ${PLIST.gtk}bin/uim-im-switcher-gtk
 ${PLIST.qt}bin/uim-im-switcher-qt
 ${PLIST.gtk}bin/uim-input-pad-ja
+${PLIST.m17nlib}bin/uim-m17nlib-relink-icons
 bin/uim-module-manager
 ${PLIST.gtk}bin/uim-pref-gtk
 ${PLIST.qt}bin/uim-pref-qt
@@ -15,14 +16,18 @@
 ${PLIST.gtk}bin/uim-toolbar-gtk-systray
 bin/uim-xim
 include/uim/plugin.h
-include/uim/uim-compat-scm.h
 include/uim/uim-custom.h
 include/uim/uim-helper.h
 include/uim/uim-im-switcher.h
+include/uim/uim-notify.h
+include/uim/uim-posix.h
+include/uim/uim-scm-abbrev.h
 include/uim/uim-scm.h
 include/uim/uim-util.h
 include/uim/uim.h
+${PLIST.gnome}lib/bonobo/servers/GNOME_UimApplet.server
 lib/libuim-custom.la
+lib/libuim-scm.la
 lib/libuim.la
 ${PLIST.gtk}lib/gtk-2.0/2.10.0/immodules/im-uim.la
 ${PLIST.kde}lib/kde3/uim_panelapplet.la
@@ -30,10 +35,17 @@
 ${PLIST.anthy}lib/uim/plugin/libuim-anthy.la
 ${PLIST.canna}lib/uim/plugin/libuim-canna.la
 lib/uim/plugin/libuim-custom-enabler.la
+lib/uim/plugin/libuim-editline.la
+lib/uim/plugin/libuim-look.la
+${PLIST.m17nlib}lib/uim/plugin/libuim-m17nlib.la
+${PLIST.prime}lib/uim/plugin/libuim-prime.la
+${PLIST.sj3}lib/uim/plugin/libuim-sj3.la
 lib/uim/plugin/libuim-skk.la
+${PLIST.wnn}lib/uim/plugin/libuim-wnn.la
 ${PLIST.gtk}libexec/uim-candwin-gtk
 ${PLIST.qt}libexec/uim-candwin-qt
 libexec/uim-helper-server
+${PLIST.gnome}libexec/uim-toolbar-applet
 man/man1/uim-xim.1
 share/applications/uim.desktop
 share/doc/uim/COMPATIBILITY
@@ -56,6 +68,8 @@
 share/uim/action.scm
 share/uim/anthy-custom.scm
 share/uim/anthy-key-custom.scm
+share/uim/anthy-utf8-custom.scm
+share/uim/anthy-utf8.scm
 share/uim/anthy.scm
 share/uim/byeoru-custom.scm
 share/uim/byeoru-dic.scm
@@ -68,7 +82,12 @@
 share/uim/custom-rt.scm
 share/uim/custom.scm
 share/uim/default.scm
+share/uim/deprecated-util.scm
 share/uim/direct.scm
+share/uim/editline.scm
+share/uim/elatin-custom.scm
+share/uim/elatin-rules.scm
+share/uim/elatin.scm
 share/uim/generic-custom.scm
 share/uim/generic-key-custom.scm
 share/uim/generic.scm
@@ -78,20 +97,33 @@
 ${PLIST.qt}share/uim/helperdata/bushu.t
 ${PLIST.uim-dict-gtk}share/uim/helperdata/uim-dict-ui.xml
 share/uim/i18n.scm
+share/uim/ichar.scm
 share/uim/im-custom.scm
 share/uim/im-switcher.scm
 share/uim/im.scm
 share/uim/init.scm
 share/uim/installed-modules.scm
 share/uim/ipa-x-sampa.scm
+share/uim/iso-639-1.scm
 share/uim/japanese-azik.scm
 share/uim/japanese-kana.scm
 share/uim/japanese.scm
 share/uim/key.scm
 share/uim/latin.scm
 share/uim/lazy-load.scm
+share/uim/lib/sigscheme-init.scm
+share/uim/lib/srfi-0.scm
+share/uim/lib/srfi-1.scm
+share/uim/lib/srfi-43.scm
+share/uim/lib/srfi-55.scm
+share/uim/lib/srfi-69.scm
+share/uim/lib/srfi-9.scm
+share/uim/lib/srfi-95.scm
+share/uim/lib/unittest.scm
 share/uim/load-action.scm
 share/uim/loader.scm
+share/uim/look-custom.scm
+share/uim/look.scm
 share/uim/m17nlib.scm
 share/uim/mana-custom.scm
 share/uim/mana-key-custom.scm
@@ -105,6 +137,8 @@
 share/uim/pixmaps/direct.svg
 share/uim/pixmaps/direct_input.png
 share/uim/pixmaps/direct_input.svg
+share/uim/pixmaps/elatin.png
+share/uim/pixmaps/elatin.svg
 share/uim/pixmaps/hangul2.png
 share/uim/pixmaps/hangul2.svg
 share/uim/pixmaps/hangul3.png
@@ -144,6 +178,96 @@
 share/uim/pixmaps/ko_hangulword.svg
 share/uim/pixmaps/latin.png
 share/uim/pixmaps/latin.svg
+share/uim/pixmaps/look.png
+share/uim/pixmaps/look.svg
+${PLIST.m17nlib}share/uim/pixmaps/m17n-am-sera.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ar-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-as-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-bn-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-bn-unijoy.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-bo-wylie.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-bopo-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-cmc-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-dv-phonetic.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-el-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-en-ispell.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-fa-isiri.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-gu-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-he-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-hi-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-hi-typewriter.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-hr-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-hy-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ja-anthy.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ja-tcode.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ka-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-kk-arabic.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-kk-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-km-yannis.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-kn-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ko-han2.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ko-romaja.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-latn-post.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-latn-pre.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-lo-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-lo-lrt.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ml-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-my-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-or-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-pa-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-rfc1345.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ru-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ru-yawerty.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-si-samanala.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-si-wijesekera.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-sk-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-sr-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-sv-post.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-syrc-phonetic.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-kk-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-km-yannis.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-kn-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ko-han2.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ko-romaja.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-latn-post.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-latn-pre.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-lo-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-lo-lrt.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ml-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-my-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-or-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-pa-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-rfc1345.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ru-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ru-yawerty.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-si-samanala.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-si-wijesekera.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-sk-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-sr-kbd.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-sv-post.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-syrc-phonetic.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-ta-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-te-itrans.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-th-kesmanee-2.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-th-kesmanee.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-th-pattachote-2.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-th-pattachote.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-th-tis820-2.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-th-tis820.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-unicode.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-vi-tcvn.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-vi-telex.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-vi-viqr.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-vi-vni.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-zh-cangjie.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-zh-pinyin.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-zh-py-b5.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-zh-py-gb.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-zh-py.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-zh-quick.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-zh-tonepy-b5.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-zh-tonepy-gb.png
+${PLIST.m17nlib}share/uim/pixmaps/m17n-zh-tonepy.png
 share/uim/pixmaps/mana.png
 share/uim/pixmaps/mana.svg
 share/uim/pixmaps/null.png
@@ -164,6 +288,8 @@
 share/uim/pixmaps/romaja.svg
 share/uim/pixmaps/scim.png
 share/uim/pixmaps/scim.svg
+share/uim/pixmaps/sj3.png
+share/uim/pixmaps/sj3.svg
 share/uim/pixmaps/skk.png
 share/uim/pixmaps/skk.svg
 share/uim/pixmaps/tcode.png
@@ -182,6 +308,8 @@
 share/uim/pixmaps/unknown.svg
 share/uim/pixmaps/viqr.png
 share/uim/pixmaps/viqr.svg
+share/uim/pixmaps/wnn.png
+share/uim/pixmaps/wnn.svg
 share/uim/plugin.scm
 share/uim/prime-custom.scm
 share/uim/prime-key-custom.scm
@@ -192,31 +320,39 @@
 share/uim/rk.scm
 share/uim/romaja.scm
 share/uim/scim.scm
+share/uim/sj3-custom.scm
+share/uim/sj3-key-custom.scm
+share/uim/sj3.scm
 share/uim/skk-custom.scm
 share/uim/skk-dialog.scm
 share/uim/skk-editor.scm
 share/uim/skk-key-custom.scm
 share/uim/skk.scm
-share/uim/spellcheck-custom.scm
-share/uim/spellcheck.scm
 share/uim/tcode.scm
 share/uim/trycode.scm
+share/uim/tutcode-bushudic.scm
+share/uim/tutcode-custom.scm
 share/uim/tutcode-key-custom.scm
+share/uim/tutcode-rule.scm
 share/uim/tutcode.scm
-share/uim/uim-db.scm
 share/uim/uim-module-manager.scm
 share/uim/uim-sh.scm
 share/uim/ustr.scm
 share/uim/util.scm
 share/uim/viqr.scm
+share/uim/wnn-custom.scm
+share/uim/wnn-key-custom.scm
+share/uim/wnn.scm
 share/uim/zaurus.scm
 ${PLIST.helperdata}@dirrm share/uim/helperdata
+@dirrm share/uim/lib
 @dirrm share/uim/pixmaps
 @dirrm share/uim
 @comment in kde: @dirrm share/kde/apps/kicker/applets
 @dirrm share/doc/uim/uim-fep
 @dirrm share/doc/uim
 @comment in xdg-dirs: @dirrm share/applications
+@dirrm lib/uim/notify
 @dirrm lib/uim/plugin
 @dirrm lib/uim
 @comment in kde: @dirrm lib/kde3
diff -Nru uim.orig/buildlink3.mk uim/buildlink3.mk
--- uim.orig/buildlink3.mk	2008-05-18 19:32:52.000000000 +0900
+++ uim/buildlink3.mk	2008-05-24 23:59:26.000000000 +0900
@@ -12,8 +12,8 @@
 BUILDLINK_ORDER:=	${BUILDLINK_ORDER} ${BUILDLINK_DEPTH}uim
 
 .if !empty(UIM_BUILDLINK3_MK:M+)
-BUILDLINK_API_DEPENDS.uim+=	uim>=1.4.2
-BUILDLINK_ABI_DEPENDS.uim?=	uim>=1.4.2
+BUILDLINK_API_DEPENDS.uim+=	uim>=1.5.1
+BUILDLINK_ABI_DEPENDS.uim?=	uim>=1.5.1
 BUILDLINK_PKGSRCDIR.uim?=	../../inputmethod/uim
 .endif  # UIM_BUILDLINK3_MK
 
diff -Nru uim.orig/distinfo uim/distinfo
--- uim.orig/distinfo	2008-05-18 19:32:52.000000000 +0900
+++ uim/distinfo	2008-05-24 23:55:38.000000000 +0900
@@ -1,6 +1,7 @@
 $NetBSD: distinfo,v 1.13 2008/03/02 01:57:37 obache Exp $
 
-SHA1 (uim-1.4.2.tar.bz2) = 2ece459ac14e95b2bb2be6135c1a134354dcef09
-RMD160 (uim-1.4.2.tar.bz2) = 7f0c6a93fb31799643f6c1e594896fc817b2e7f9
-Size (uim-1.4.2.tar.bz2) = 2723523 bytes
-SHA1 (patch-aa) = f94187c44a5f6823aa77514e5087093f8148808a
+SHA1 (uim-1.5.1.tar.bz2) = d171e9a933fc9e2fefb948d94bc27171bf32dee7
+RMD160 (uim-1.5.1.tar.bz2) = bb286bafc36a0d2c2f4ca45be3247615aa7470ef
+Size (uim-1.5.1.tar.bz2) = 3345651 bytes
+SHA1 (patch-ab) = 2f08ae44a02dc1be38c4e25ca0d2739bcb55157a
+SHA1 (patch-ac) = 7c487900faf0dee22b4d8258b8e8c24fb2dffc12
diff -Nru uim.orig/options.mk uim/options.mk
--- uim.orig/options.mk	2008-05-18 19:32:52.000000000 +0900
+++ uim/options.mk	2008-05-24 23:55:59.000000000 +0900
@@ -1,17 +1,18 @@
 # $NetBSD: options.mk,v 1.12 2008/04/12 22:43:02 jlam Exp $
 
 PKG_OPTIONS_VAR=	PKG_OPTIONS.uim
-PKG_SUPPORTED_OPTIONS=	anthy canna eb gtk qt kde
+#PKG_SUPPORTED_OPTIONS=	anthy canna eb gnome gtk kde m17nlib qt prime sj3 wnn
+PKG_SUPPORTED_OPTIONS=	anthy canna eb gnome gtk kde m17nlib qt prime
 PKG_SUGGESTED_OPTIONS=	anthy canna gtk
 
 .include "../../mk/bsd.options.mk"
 
 PLIST_VARS+=		helperdata uim-dict-gtk
-PLIST_VARS+=		anthy canna gtk kde qt
+PLIST_VARS+=		anthy canna gnome gtk kde m17nlib prime qt sj3 wnn
 
 .if !empty(PKG_OPTIONS:Manthy)
 .  include "../../inputmethod/anthy/buildlink3.mk"
-CONFIGURE_ARGS+=	--with-anthy --enable-dict
+CONFIGURE_ARGS+=	--enable-dict
 PLIST.anthy=		yes
 .  if !empty(PKG_OPTIONS:Mgtk)
 PLIST.helperdata=	yes
@@ -25,23 +26,41 @@
 .  include "../../inputmethod/canna-lib/buildlink3.mk"
 CONFIGURE_ARGS+=	--with-canna
 PLIST.canna=		yes
-.else
-CONFIGURE_ARGS+=	--without-canna
 .endif
 
 .if !empty(PKG_OPTIONS:Meb)
 .include "../../textproc/eb/buildlink3.mk"
+CONFIGURE_ARGS+=	--with-eb
+.endif
+
+.if !empty(PKG_OPTIONS:Mgnome)
+.  include "../../x11/gnome-panel/buildlink3.mk"
+PLIST.gnome=		yes
 .else
-CONFIGURE_ARGS+=	--without-eb
+CONFIGURE_ARGS+=	--disable-gnome-applet
 .endif
 
-.if !empty(PKG_OPTIONS:Mgtk)
+.if !empty(PKG_OPTIONS:Mgtk) || !empty(PKG_OPTIONS:Mgnome)
 .include "../../x11/gtk2/modules.mk"
 PLIST.gtk=		yes
 .else
 CONFIGURE_ARGS+=	--without-gtk2
 .endif
 
+.if !empty(PKG_OPTIONS:Mkde)
+.  include "../../x11/kdelibs3/buildlink3.mk"
+.  include "../../x11/qt3-libs/buildlink3.mk"
+CONFIGURE_ARGS+=	--enable-kde-applet
+PLIST.kde=		yes
+.endif
+
+.if !empty(PKG_OPTIONS:Mm17nlib)
+.  include "../../devel/m17n-lib/buildlink3.mk"
+PLIST.m17nlib=		yes
+.else
+CONFIGURE_ARGS+=	--without-m17nlib
+.endif
+
 .if !empty(PKG_OPTIONS:Mqt) || !empty(PKG_OPTIONS:Mkde)
 .  include "../../x11/qt3-libs/buildlink3.mk"
 BUILD_DEPENDS+=		qt3-tools-3.*:../../x11/qt3-tools
@@ -52,9 +71,24 @@
 PLIST.qt=		yes
 .endif
 
-.if !empty(PKG_OPTIONS:Mkde)
-.  include "../../x11/kdelibs3/buildlink3.mk"
-.  include "../../x11/qt3-libs/buildlink3.mk"
-CONFIGURE_ARGS+=	--enable-kde-applet=yes
-PLIST.kde=		yes
-.endif
+.if !empty(PKG_OPTIONS:Mprime)
+.  include "../../inputmethod/prime/buildlink3.mk"
+CONFIGURE_ARGS+=	--with-prime
+PLIST.prime=		yes
+.endif
+
+#.if !empty(PKG_OPTIONS:Msj3)
+#.  include "../../inputmethod/sj3-lib/buildlink3.mk"
+#CONFIGURE_ARGS+=	--with-sj3
+#CONFIGURE_ARGS+=	SJ3_CFLAGS=-I${BUILDLINK_PREFIX.sj3-lib}/includes
+#CONFIGURE_ARGS+=	SJ3_LIBS="-L${BUILDLINK_PREFIX.sj3-lib}/lib -lsj3lib"
+#PLIST.sj3=		yes
+#.endif
+
+#.if !empty(PKG_OPTIONS:Mwnn)
+#.  include "../../inputmethod/ja-freewnn-lib/buildlink3.mk"
+#CONFIGURE_ARGS+=	--with-wnn
+#CONFIGURE_ARGS+=	--with-wnn-includes=${BUILDLINK_PREFIX.ja-FreeWnn-lib}/include/wnn
+#CONFIGURE_ARGS+=	--with-wnn-libraries=${BUILDLINK_PREFIX.ja-FreeWnn-lib}/lib
+#PLIST.wnn=		yes
+#.endif
diff -Nru uim.orig/patches/patch-aa uim/patches/patch-aa
--- uim.orig/patches/patch-aa	2008-05-18 19:32:52.000000000 +0900
+++ uim/patches/patch-aa	1970-01-01 09:00:00.000000000 +0900
@@ -1,16 +0,0 @@
-$NetBSD: patch-aa,v 1.5 2008/03/03 00:36:09 obache Exp $
-
-Avoid to install internal sigscheme's header & library.
-It conflict with lang/sigscheme.
-
---- Makefile.in.orig	2008-02-20 12:25:45.000000000 +0000
-+++ Makefile.in
-@@ -310,7 +310,7 @@ top_srcdir = @top_srcdir@
- uim_pixmapsdir = @uim_pixmapsdir@
- AUTOMAKE_OPTIONS = foreign
- ACLOCAL_AMFLAGS = -I m4
--SUBDIRS = m4 doc replace sigscheme uim scm test \
-+SUBDIRS = m4 doc replace uim scm test \
-           gtk helper qt xim fep emacs \
- 	  po pixmaps examples
- 
diff -Nru uim.orig/patches/patch-ab uim/patches/patch-ab
--- uim.orig/patches/patch-ab	1970-01-01 09:00:00.000000000 +0900
+++ uim/patches/patch-ab	2008-05-24 00:01:19.000000000 +0900
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- sigscheme/src/Makefile.in.orig	2008-05-17 10:10:09.000000000 +0900
++++ sigscheme/src/Makefile.in	2008-05-17 10:27:12.000000000 +0900
+@@ -22,7 +22,7 @@
+ VPATH = @srcdir@
+ pkgdatadir = $(datadir)/@PACKAGE@
+ pkglibdir = $(libdir)/@PACKAGE@
+-pkgincludedir = $(includedir)/@PACKAGE@
++pkgincludedir = 
+ am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+ install_sh_DATA = $(install_sh) -c -m 644
+ install_sh_PROGRAM = $(install_sh) -c
diff -Nru uim.orig/patches/patch-ac uim/patches/patch-ac
--- uim.orig/patches/patch-ac	1970-01-01 09:00:00.000000000 +0900
+++ uim/patches/patch-ac	2008-05-24 00:01:19.000000000 +0900
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- sigscheme/doc/Makefile.in.orig	2008-05-17 09:51:31.000000000 +0900
++++ sigscheme/doc/Makefile.in	2008-05-17 09:51:54.000000000 +0900
+@@ -158,7 +158,7 @@
+ builddir = @builddir@
+ datadir = @datadir@
+ datarootdir = @datarootdir@
+-docdir = @docdir@
++docdir = 
+ dvidir = @dvidir@
+ exec_prefix = @exec_prefix@
+ host = @host@
